import * as ts from "typescript";
import { Reflection } from "../../models/index";
import { Context } from "../context";
import { ConverterNodeComponent } from "../components";
export declare class VariableStatementConverter extends ConverterNodeComponent<ts.VariableStatement> {
    /**
     * List of supported TypeScript syntax kinds.
     */
    supports: ts.SyntaxKind[];
    /**
     * Analyze the given variable statement node and create a suitable reflection.
     *
     * @param context  The context object describing the current state the converter is in.
     * @param node     The variable statement node that should be analyzed.
     * @return The resulting reflection or NULL.
     */
    convert(context: Context, node: ts.VariableStatement): Reflection;
    /**
     * Traverse the elements of the given binding pattern and create the corresponding variable reflections.
     *
     * @param context  The context object describing the current state the converter is in.
     * @param node     The binding pattern node that should be analyzed.
     */
    convertBindingPattern(context: Context, node: ts.BindingPattern): void;
}
