import * as ts from "typescript";
import { Reflection } from "../../models/index";
import { Context } from "../context";
import { ConverterNodeComponent } from "../components";
declare type VarNodeType = ts.PropertySignature | ts.PropertyDeclaration | ts.PropertyAssignment | ts.ShorthandPropertyAssignment | ts.VariableDeclaration | ts.ImportEqualsDeclaration | ts.BindingElement;
export declare class VariableConverter extends ConverterNodeComponent<ts.VariableDeclaration> {
    /**
     * List of supported TypeScript syntax kinds.
     */
    supports: ts.SyntaxKind[];
    isSimpleObjectLiteral(objectLiteral: ts.ObjectLiteralExpression): boolean;
    /**
     * Analyze the given variable declaration node and create a suitable reflection.
     * TODO: the type of `node` is incorrect, it should be a union of ts.PropertySignature | ts.PropertyDeclaration | ...
     *
     * @param context  The context object describing the current state the converter is in.
     * @param node     The variable declaration node that should be analyzed.
     * @return The resulting reflection or NULL.
     */
    convert(context: Context, node: VarNodeType): Reflection | undefined;
}
export {};
